Package org.picocontainer

# Interface Disposable

All Known Subinterfaces:
  `ClassLoadingPicoContainer`, `MutablePicoContainer`

All Known Implementing Classes:
  `AbstractDelegatingMutablePicoContainer`, `DefaultClassLoadingPicoContainer`, `DefaultPicoContainer`, `TieringPicoContainer`, `TransientPicoContainer`

public interface Disposable
An interface which is implemented by components that need to dispose of resources during the shutdown of that component. The `dispose()` must be called once during shutdown, directly after `Startable.stop()` (if the component implements the `Startable` interface).

See Also:
  - `the Startable interface if you need to `start()` and `stop()` semantics.`
  - `the main PicoContainer interface (and hence its subinterfaces and implementations like DefaultPicoContainer) implement this interface.`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Dispose this component.

## Method Details

### dispose

void dispose()
Dispose this component. The component should deallocate all resources. The contract for this method defines a single call at the end of this component's life.